# Generated by Django 3.2.16 on 2023-02-22 14:34

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0024_auto_20230213_1611'),
    ]

    operations = [
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='InforConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('username', models.CharField(max_length=64, verbose_name='username')),
                ('denomination', models.CharField(max_length=128, verbose_name='denomination')),
                ('email', models.EmailField(max_length=254, verbose_name='email')),
                ('wsdl_url', models.URLField(verbose_name='Protocol WSDL URL')),
                ('registry_url', models.URLField(verbose_name='Protocol Web service URL')),
                ('incoming_document_type', models.CharField(max_length=64, verbose_name='document type')),
                ('incoming_intermediary', models.CharField(max_length=64, verbose_name='incoming intermediary')),
                ('incoming_sorting', models.CharField(max_length=64, verbose_name='incoming sorting')),
                ('incoming_classification', models.CharField(max_length=16, verbose_name='incoming classification')),
                ('incoming_folder', models.CharField(max_length=64, verbose_name='incoming folder')),
                ('response_internal_sender', models.CharField(max_length=254, verbose_name='response internal sender')),
                ('response_document_type', models.CharField(max_length=64, verbose_name='response document type')),
                ('response_intermediary', models.CharField(max_length=64, verbose_name='response intermediary')),
                ('response_sorting', models.CharField(max_length=64, verbose_name='response sorting')),
                ('response_classification', models.CharField(max_length=16, verbose_name='response classification')),
                ('response_folder', models.CharField(max_length=64, verbose_name='response folder')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='infor_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='inforconfig',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_inforconfig_unique_service_is_active_true'),
        ),
    ]
